import 'package:dio/dio.dart';
import 'package:get/get.dart';
import 'package:sw_core/tool/log.dart';

class ControllerBase extends GetxController {
  Future<T> handle<T>(Future<T> response) {
    response.then(_onValue).catchError(_onError);
    return response;
  }

  _onValue<T>(T value) {
    info("Got value : $value");
  }

  _onError(Object object) {
    switch (object.runtimeType) {
      case DioError:
        final errorResponse = (object as DioError).response;
        error("Got error : ${errorResponse?.statusCode} -> ${errorResponse?.statusMessage}");
        break;
      default:
    }
  }
}
