import 'package:dio/dio.dart';
import 'package:sw_core/interface/controller/i_controller_all_servicers.dart';
import 'package:sw_core/sw_init_core.dart';
import 'package:sw_core/tool/data_path.dart';
import 'package:sw_core/tool/http_client.dart';
import 'package:sw_core/tool/inject.dart';
import 'package:sw_data/controller/controller_all_servicers.dart';

import 'data/endpoint_all_servicers.dart';
import 'data/endpoint_servicer.dart';

initData() {
  initCore();
  _controllers();
}

void _controllers() => put<IControllerAllServicers>(
      () => ControllerAllServicers(
        EndpointAllServicers(
          httpClient(
            [
              httpCache(60),
              get<InterceptorsWrapper>(),
            ],
          ),
          baseUrl: base_SW_URL,
        ),
        EndpointServicer(
          httpClient(
            [
              httpCache(60),
              get<InterceptorsWrapper>(),
            ],
          ),
          baseUrl: base_SW_URL,
        ),
      ),
    );
