import 'package:get/get_core/src/get_main.dart';
import 'package:get/get_instance/src/extension_instance.dart';
import 'package:get/get_rx/src/rx_types/rx_types.dart';
import 'package:sw_core/interface/controller/i_controller_auth.dart';
import 'package:sw_core/interface/usecase.dart';
import 'package:sw_core/response/response_transactions.dart';
import 'package:sw_data/data/i_repo_spin.dart';

class UseCaseTransactions extends UseCase<ResponseTransactions> {
  UseCaseTransactions(this._repo);

  final IRepoTransaction _repo;

  @override
  Future<ResponseTransactions> execute([dynamic object]) async => update(
      _repo.getTransactions(Get.find<IControllerAuth>().user.value.id));

  @override
  Rx<ResponseTransactions> observable = ResponseTransactions().obs;
}
